OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TFunction

# TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel Class Reference

`#include <TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel ()
Standard_EXPORT | TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel (const TFunction_DataMapOfLabelListOfLabel &aMap)
Standard_EXPORT void | Initialize (const TFunction_DataMapOfLabelListOfLabel &aMap)
Standard_EXPORT const TDF_Label & | Key () const
Standard_EXPORT const TDF_LabelList & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel::TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel | ( |  | ) |

Standard_EXPORT TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel::TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel | ( | const TFunction_DataMapOfLabelListOfLabel & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel::Initialize | ( | const TFunction_DataMapOfLabelListOfLabel & | aMap | ) |

Standard_EXPORT const TDF_Label& TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel::Key | ( |  | ) | const

void TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel::operator new | ( | size_t | size | ) | `[inline]`

void* TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TDF_LabelList& TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TFunction_DataMapIteratorOfDataMapOfLabelListOfLabel.hxx